Package: org.codehaus.groovy.ast.expr

## [Java] Class RangeExpression

- org.codehaus.groovy.ast.expr.RangeExpression

- Represents a range expression such as for iterating. E.g.:

      for i in 0..10 {...}

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RangeExpression (Expression from, Expression to, boolean inclusive)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getFrom()`
    `` | `String` | `getText()`
    `` | `Expression` | `getTo()`
    `` | `boolean` | `isInclusive()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public RangeExpression(Expression from, Expression to, boolean inclusive)

  - ### Method Detail

    - #### public Expression getFrom()

    - #### public String getText()

    - #### public Expression getTo()

    - #### public boolean isInclusive()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)